# - Config file for the NepomukDataModel package
# It defines the following variables
#  NEPOMUKDATAMODELCONFIG_INCLUDE_DIRS - include directories for Nepomuk data model
#  NEPOMUKDATAMODELCONFIG_LIBRARIES    - libraries to link against

set(NEPOMUKDATAMODELCONFIG_FOUND true)

# Compute paths
get_filename_component(NEPOMUKDATAMODELCONFIG_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(NEPOMUKDATAMODELCONFIG_PREFIX ${NEPOMUKDATAMODELCONFIG_CMAKE_DIR}/ ABSOLUTE)
if(EXISTS "${NEPOMUKDATAMODELCONFIG_CMAKE_DIR}/CMakeCache.txt")
   # In build tree
   set(NEPOMUKDATAMODELCONFIG_INCLUDE_DIRS "/usr/src/RPM/BUILD/plasma-mobile-0.5/components/metadatamodel/library")
else()
   set(NEPOMUKDATAMODELCONFIG_INCLUDE_DIRS "/usr/include/kde4")
endif()

# Our library dependencies (contains definitions for IMPORTED targets)
include("${NEPOMUKDATAMODELCONFIG_CMAKE_DIR}/NepomukDataModelLibraryTargets.cmake")

# These are IMPORTED targets created by NepomukDataModelLibraryDepends.cmake
set(NEPOMUKDATAMODELCONFIG_LIBRARIES metadataqueryproviders)
